0

I've been running Eclair node release eclair-node-gui-0.3.3-12ac145.jar smoothly for some time now on Ubuntu 18.04.5 LTS, but recently had an update to the java version i was using to the latest (?) through the software updater to java version 11.0.9.1.

This now causes the usual procedure i took to run the node -

open terminal -

cd Downloads

java -jar eclair-node-gui-0.3.3-12ac145.jar

  • to fail. The terminal gives me the following message:

CAPSULE EXCEPTION: Could not parse version: 11.0.9.1 while processing attribute Min-Update-Version: {} (for stack trace, run with -Dcapsule.log=verbose) USAGE: java -jar eclair-node-gui-0.3.3-12ac145.jar

Actions: capsule.version - Prints the capsule and application versions. capsule.modes - Prints all available capsule modes. capsule.jvms - Prints a list of all JVM installations found. capsule.help - Prints this help message.

Options: capsule.mode= - Picks the capsule mode to run. capsule.reset - Resets the capsule cache before launching. The capsule to be re-extracted (if applicable), and other possibly cached files will be recreated. capsule.log= (default: quiet) - Picks a log level. Must be one of none, quiet, verbose, or debug. capsule.java.home= - Sets the location of the Java home (JVM installation directory) to use; If 'current' forces the use of the JVM that launched the capsule. capsule.java.cmd= - Sets the path to the Java executable to use. capsule.jvm.args= - Sets additional JVM arguments to use when running the application.

I have tried vainly to tease some information from the terminal by trying to paste some of the actions and options commands in ,in the form of, for example -

java capsule.version -jar eclair-node-gui-0.3.3-12ac145.jar

to be met with-

Error: Could not find or load main class capsule.version Caused by: java.lang.ClassNotFoundException: capsule.version

and -

java capsule.reset -jar eclair-node-gui-0.3.3-12ac145.jar

Error: Could not find or load main class capsule.reset Caused by: java.lang.ClassNotFoundException: capsule.reset

Would appreciate any advice on where i stand with resolving this problem.

2

You're using a very old version of eclair which used Capsule to simplify packaging and deployment. We've moved away from Capsule (which seems to be a dead project) quite some time ago and now package applications as zipped directories which include a bin/ subfolder with launcher scripts for linux/macos/windows. I strongly suggest that you upgrade your node to the latest release of eclair which you'll find there: https://github.com/ACINQ/eclair/releases. I also suggest that you switch from the GUI (we don't package it anymore but it's very easy to build yourself) to the server version and use it through it's JSON API. You can get technical support for eclair at https://gitter.im/ACINQ/eclair if needed. Thanks!

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.